Package Details: python-rosdistro 0.8.3-1

Git Clone URL: https://aur.archlinux.org/python-rosdistro.git (read-only, click to copy)
Package Base: python-rosdistro
Description: A tool to work with rosdistro files
Upstream URL: https://github.com/ros-infrastructure/rosdistro
Licenses: BSD
Conflicts: python2-rosdistro
Submitter: bchretien
Maintainer: kartikmohta
Last Packager: kartikmohta
Votes: 14
Popularity: 1.47
First Submitted: 2015-02-19 15:28 (UTC)
Last Updated: 2020-11-06 09:35 (UTC)

Latest Comments

yyh2503 commented on 2018-10-09 08:27 (UTC)

@kartikmohta 'pacman -Q pacman' prints 'pacman 5.1.1-3'. I find it indeed is newer than the current version :D. Thanks for your hard works.

kartikmohta commented on 2018-10-09 07:11 (UTC)

@yyh2503 Oh I see the problem, that check has been added in some recent commits to pacman but those are not present in the released version. Are you using a pre-release version of pacman? What's the output of pacman -Q pacman?

I'll fix the problem of course since others would face the issue whenever the next pacman release happens. Thanks for pointing it out!

yyh2503 commented on 2018-10-09 03:39 (UTC) (edited on 2018-10-09 04:07 (UTC) by yyh2503)

I use yay as my aur helper and install Ros. And I got this error on it. Edit: I try manually clone the git address and type 'makepkg' but got the same error. My makepkg(Pacman) version is 5.1.1

kartikmohta commented on 2018-10-09 02:45 (UTC)

@yyh2503 What tool is giving you that error? I just tried building with makepkg and it seems to build without any errors.

yyh2503 commented on 2018-10-09 02:23 (UTC)

I get the error: pkgbase should not be an array. It may caused by the PKGBUILD file writing. Could you fix it? Thanks!

pryre commented on 2016-12-24 04:37 (UTC) (edited on 2016-12-24 04:59 (UTC) by pryre)

There has been an update to rosdistro-0.5.0.

pryre commented on 2016-12-23 05:33 (UTC) (edited on 2016-12-23 05:33 (UTC) by pryre)

version 0.5.0 has been released, needed for an update of python2-rosinstall-generator.

de-vries commented on 2015-12-30 12:21 (UTC)

awesome, thanks :)

bchretien commented on 2015-12-30 00:01 (UTC)

@de-vries: my bad, I missed your message from march. It's fixed, thanks!

de-vries commented on 2015-12-29 21:40 (UTC)

This package still fails to build in a clean chroot because it needs python2-setuptools as a makedep.

de-vries commented on 2015-03-19 20:04 (UTC)

Also needs a makedep on python2-setuptools I believe.

de-vries commented on 2015-03-19 19:57 (UTC)

Also needs a makedep on python-setuptools I believe.

kartikmohta commented on 2015-02-18 19:08 (UTC)

rosdistro-0.4.1 is out